Package de.willuhn.jameica.hbci.rmi

# Interface SepaPayment

All Known Subinterfaces:
  `AuslandsUeberweisung`, `SepaDauerauftrag`, `SepaLastschrift`, `SepaSammelLastschrift`, `SepaSammelTransfer<T>`, `SepaSammelUeberweisung`

All Known Implementing Classes:
  `AbstractSepaSammelTransferImpl`, `AuslandsUeberweisungImpl`, `SepaDauerauftragImpl`, `SepaLastschriftImpl`, `SepaSammelLastschriftImpl`, `SepaSammelUeberweisungImpl`

public interface SepaPayment
Basis-Interface fuer einen SEPA-Auftrag.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPmtInfId()`
Liefert die optionale PmtInf-ID fuer SEPA.
`void`
`setPmtInfId(String id)`
Speichert die optionale PmtInf-ID fuer SEPA.

## Method Details

### getPmtInfId

String getPmtInfId() throws RemoteException
Liefert die optionale PmtInf-ID fuer SEPA.

Returns:
  die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`

### setPmtInfId

void setPmtInfId(String id) throws RemoteException
Speichert die optionale PmtInf-ID fuer SEPA.

Parameters:
  `id` - die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`